<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Nano102_112 Series BSP: StdDriver/inc/sc.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="M0Banner_v2.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Nano102_112 Series BSP
   &#160;<span id="projectnumber">V3.03.002</span>
   </div>
   <div id="projectbrief">The Board Support Package for  Nano102_112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">sc.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="sc_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/**************************************************************************/</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#ifndef __SC_H__</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#define __SC_H__</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;{</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab1a473b529ef7082465c9a36b4be3472">   32</a></span>&#160;<span class="preprocessor">#define SC_INTERFACE_NUM        2                </span></div><div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4139385096ce734bae06ffcf9b3e17f8">   33</a></span>&#160;<span class="preprocessor">#define SC_PIN_STATE_HIGH       1                </span></div><div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga701f03dee8707fc79904c366ba9c1ecd">   34</a></span>&#160;<span class="preprocessor">#define SC_PIN_STATE_LOW        0                </span></div><div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaeb55b76af45870f987a07a7eb77a48be">   35</a></span>&#160;<span class="preprocessor">#define SC_PIN_STATE_IGNORE     0xFFFFFFFF       </span></div><div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaae3a1226e02cda376b379e6534fd15cd">   36</a></span>&#160;<span class="preprocessor">#define SC_CLK_ON               1                </span></div><div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7594c159808693097956544911873706">   37</a></span>&#160;<span class="preprocessor">#define SC_CLK_OFF              0                </span></div><div class="line"><a name="l00039"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae87df6cf79c2a8d4d11800abdc12fd3d">   39</a></span>&#160;<span class="preprocessor">#define SC_TMR_MODE_0                   (0ul &lt;&lt; SC_TMR0_MODE_Pos)     </span></div><div class="line"><a name="l00040"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae0f8c207f06d76ac991f83f4e9e4ef1c">   40</a></span>&#160;<span class="preprocessor">#define SC_TMR_MODE_1                   (1ul &lt;&lt; SC_TMR0_MODE_Pos)     </span></div><div class="line"><a name="l00041"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga678d4e7a4f4df9c67620f61a4a8c9d83">   41</a></span>&#160;<span class="preprocessor">#define SC_TMR_MODE_2                   (2ul &lt;&lt; SC_TMR0_MODE_Pos)     </span></div><div class="line"><a name="l00042"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1e993e725d025908a74b00de76959cfc">   42</a></span>&#160;<span class="preprocessor">#define SC_TMR_MODE_3                   (3ul &lt;&lt; SC_TMR0_MODE_Pos)     </span></div><div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadda1fe01cd6041b3a0a5b873928d99da">   43</a></span>&#160;<span class="preprocessor">#define SC_TMR_MODE_4                   (4ul &lt;&lt; SC_TMR0_MODE_Pos)     </span></div><div class="line"><a name="l00044"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacc35fb3ef29c35ae19726dbdeb821991">   44</a></span>&#160;<span class="preprocessor">#define SC_TMR_MODE_5                   (5ul &lt;&lt; SC_TMR0_MODE_Pos)     </span></div><div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga94cf6d5c9afc10553eea1d7b451943e1">   45</a></span>&#160;<span class="preprocessor">#define SC_TMR_MODE_6                   (6ul &lt;&lt; SC_TMR0_MODE_Pos)     </span></div><div class="line"><a name="l00046"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga679670797f561a5b4e15f4bf0d9ba6e4">   46</a></span>&#160;<span class="preprocessor">#define SC_TMR_MODE_7                   (7ul &lt;&lt; SC_TMR0_MODE_Pos)     </span></div><div class="line"><a name="l00047"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga54e0f8ab6f2f17e48af5d64e923d029c">   47</a></span>&#160;<span class="preprocessor">#define SC_TMR_MODE_8                   (8ul &lt;&lt; SC_TMR0_MODE_Pos)     </span></div><div class="line"><a name="l00048"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga94ae5ed2453af741c1895a68cb51161b">   48</a></span>&#160;<span class="preprocessor">#define SC_TMR_MODE_F                   (0xF &lt;&lt; SC_TMR0_MODE_Pos)     </span></div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="preprocessor"> </span><span class="comment">/* end of group NANO1X2_SC_EXPORTED_CONSTANTS */</span><span class="preprocessor"></span></div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div><div class="line"><a name="l00076"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae25939fa305f5852efbc7e53406c91b9">   76</a></span>&#160;<span class="preprocessor">#define SC_ENABLE_INT(sc, u32Mask) ((sc)-&gt;IER |= (u32Mask))</span></div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00096"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4269c9aad74dbbe0a213de2d4404ed77">   96</a></span>&#160;<span class="preprocessor">#define SC_DISABLE_INT(sc, u32Mask) ((sc)-&gt;IER &amp;= ~(u32Mask))</span></div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div><div class="line"><a name="l00105"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga669b8227a1056fa08ceb5afe217d8832">  105</a></span>&#160;<span class="preprocessor">#define SC_SET_VCC_PIN(sc, u32State) \</span></div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;<span class="preprocessor">    do {\</span></div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;<span class="preprocessor">            if(u32State)\</span></div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;<span class="preprocessor">                (sc)-&gt;PINCSR |= SC_PINCSR_POW_EN_Msk;\</span></div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;<span class="preprocessor">            else\</span></div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;<span class="preprocessor">                (sc)-&gt;PINCSR &amp;= ~SC_PINCSR_POW_EN_Msk;\</span></div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;<span class="preprocessor">    }while(0)</span></div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;</div><div class="line"><a name="l00121"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga62220e9a491ffc3939ecd0cf91026ddc">  121</a></span>&#160;<span class="preprocessor">#define SC_SET_CLK_PIN(sc, u32OnOff)\</span></div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;<span class="preprocessor">    do {\</span></div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;<span class="preprocessor">            if(u32OnOff)\</span></div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;<span class="preprocessor">                (sc)-&gt;PINCSR |= SC_PINCSR_CLK_KEEP_Msk;\</span></div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;<span class="preprocessor">            else\</span></div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;<span class="preprocessor">                (sc)-&gt;PINCSR &amp;= ~(SC_PINCSR_CLK_KEEP_Msk);\</span></div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;<span class="preprocessor">    }while(0)</span></div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;</div><div class="line"><a name="l00136"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga51438ad6c2f3abab60b73db09fa95bc3">  136</a></span>&#160;<span class="preprocessor">#define SC_SET_IO_PIN(sc, u32State)\</span></div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;<span class="preprocessor">    do {\</span></div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;<span class="preprocessor">            if(u32State)\</span></div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;<span class="preprocessor">                (sc)-&gt;PINCSR |= SC_PINCSR_SC_DATA_O_Msk;\</span></div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;<span class="preprocessor">            else\</span></div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;<span class="preprocessor">                (sc)-&gt;PINCSR &amp;= ~SC_PINCSR_SC_DATA_O_Msk;\</span></div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;<span class="preprocessor">    }while(0)</span></div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;</div><div class="line"><a name="l00151"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8e7d2b09409dcd97efff792cd00d0c8a">  151</a></span>&#160;<span class="preprocessor">#define SC_SET_RST_PIN(sc, u32State)\</span></div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;<span class="preprocessor">    do {\</span></div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;<span class="preprocessor">            if(u32State)\</span></div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;<span class="preprocessor">                (sc)-&gt;PINCSR |= SC_PINCSR_SC_RST_Msk;\</span></div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;<span class="preprocessor">            else\</span></div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;<span class="preprocessor">                (sc)-&gt;PINCSR &amp;= ~SC_PINCSR_SC_RST_Msk;\</span></div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;<span class="preprocessor">    }while(0)</span></div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;</div><div class="line"><a name="l00165"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaadb18d6ea936b003149f60db3aeeb403">  165</a></span>&#160;<span class="preprocessor">#define SC_READ(sc) ((char)((sc)-&gt;RBR))</span></div><div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;</div><div class="line"><a name="l00174"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2528b4dd15065e779a59a5eb58aa4464">  174</a></span>&#160;<span class="preprocessor">#define SC_WRITE(sc, u8Data) ((sc)-&gt;THR = (u8Data))</span></div><div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;</div><div class="line"><a name="l00184"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae429a57a34b2afd2e041714b0aee0b92">  184</a></span>&#160;<span class="preprocessor">#define SC_SET_STOP_BIT_LEN(sc, u32Len) ((sc)-&gt;CTL = ((sc)-&gt;CTL &amp; ~SC_CTL_SLEN_Msk) | (u32Len == 1 ? SC_CTL_SLEN_Msk : 0))</span></div><div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;</div><div class="line"><a name="l00192"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad699bccb4c5e1e51532907309a8f25e5">  192</a></span>&#160;__STATIC_INLINE <span class="keywordtype">void</span> <a class="code" href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad699bccb4c5e1e51532907309a8f25e5">SC_SetTxRetry</a>(<a class="code" href="struct_s_c___t.html">SC_T</a> *sc, uint32_t u32Count)</div><div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;{</div><div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;    <span class="comment">// Retry count must set while enable bit disabled, so disable it first</span></div><div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;    sc-&gt;<a class="code" href="struct_s_c___t.html#a657b6619f178ac1a923485d599c1b0f7">CTL</a> &amp;= ~(<a class="code" href="_nano1_x2_series_8h.html#a5c7329aa9166b91cb9c541142abe4649">SC_CTL_TX_ERETRY_Msk</a> | <a class="code" href="_nano1_x2_series_8h.html#a246ada829b66f62ffec0878204be547c">SC_CTL_TX_ERETRY_EN_Msk</a>);</div><div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;</div><div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;    <span class="keywordflow">if</span>(u32Count != 0) {</div><div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;        sc-&gt;<a class="code" href="struct_s_c___t.html#a657b6619f178ac1a923485d599c1b0f7">CTL</a> |= ((u32Count - 1) &lt;&lt; <a class="code" href="_nano1_x2_series_8h.html#a40d34e9da20064b18cf4086247591b3f">SC_CTL_TX_ERETRY_Pos</a>) | <a class="code" href="_nano1_x2_series_8h.html#a246ada829b66f62ffec0878204be547c">SC_CTL_TX_ERETRY_EN_Msk</a>;</div><div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;    }</div><div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;}</div><div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;</div><div class="line"><a name="l00208"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga71291615e3fbee7de0cad3e8ff57a18f">  208</a></span>&#160;__STATIC_INLINE <span class="keywordtype">void</span>  <a class="code" href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga71291615e3fbee7de0cad3e8ff57a18f">SC_SetRxRetry</a>(<a class="code" href="struct_s_c___t.html">SC_T</a> *sc, uint32_t u32Count)</div><div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;{</div><div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;    <span class="comment">// Retry count must set while enable bit disabled, so disable it first</span></div><div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;    sc-&gt;<a class="code" href="struct_s_c___t.html#a657b6619f178ac1a923485d599c1b0f7">CTL</a> &amp;= ~(<a class="code" href="_nano1_x2_series_8h.html#af27e80feb05de5b2cc37809dd5a57a48">SC_CTL_RX_ERETRY_Msk</a> | <a class="code" href="_nano1_x2_series_8h.html#a34fa8578721b001e96183408ece207b4">SC_CTL_RX_ERETRY_EN_Msk</a>);</div><div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;</div><div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;    <span class="keywordflow">if</span>(u32Count != 0) {</div><div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;        sc-&gt;<a class="code" href="struct_s_c___t.html#a657b6619f178ac1a923485d599c1b0f7">CTL</a> |= ((u32Count - 1) &lt;&lt; <a class="code" href="_nano1_x2_series_8h.html#ac877c0106ed4e12c1d88995f438ee1ff">SC_CTL_RX_ERETRY_Pos</a>) | <a class="code" href="_nano1_x2_series_8h.html#a34fa8578721b001e96183408ece207b4">SC_CTL_RX_ERETRY_EN_Msk</a>;</div><div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;    }</div><div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;}</div><div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;</div><div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;</div><div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;uint32_t <a class="code" href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga686a066952920555d863a2adbb1c985a">SC_IsCardInserted</a>(<a class="code" href="struct_s_c___t.html">SC_T</a> *sc);</div><div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabbf16e2b53c6775d903d5e398d4c5e29">SC_ClearFIFO</a>(<a class="code" href="struct_s_c___t.html">SC_T</a> *sc);</div><div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad7fabbdd3ae9853db07af8a98508f8cf">SC_Close</a>(<a class="code" href="struct_s_c___t.html">SC_T</a> *sc);</div><div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3fb708b1684dff67a8ce2c3951e55731">SC_Open</a>(<a class="code" href="struct_s_c___t.html">SC_T</a> *sc, uint32_t u32CardDet, uint32_t u32PWR);</div><div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga31243375c4a9a634e6b5fb3808aabb21">SC_ResetReader</a>(<a class="code" href="struct_s_c___t.html">SC_T</a> *sc);</div><div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2744d5a40d4fd646192c641d20aecb78">SC_SetBlockGuardTime</a>(<a class="code" href="struct_s_c___t.html">SC_T</a> *sc, uint32_t u32BGT);</div><div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga309160531bd03b3df167a13e5f1e63b1">SC_SetCharGuardTime</a>(<a class="code" href="struct_s_c___t.html">SC_T</a> *sc, uint32_t u32CGT);</div><div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga450a6bee9c5c243cc116fdeae859dbf3">SC_StopAllTimer</a>(<a class="code" href="struct_s_c___t.html">SC_T</a> *sc);</div><div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6f12c3d08c7ab548f69e90e94340aea8">SC_StartTimer</a>(<a class="code" href="struct_s_c___t.html">SC_T</a> *sc, uint32_t u32TimerNum, uint32_t u32Mode, uint32_t u32ETUCount);</div><div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6a9ee8ad942a87c0c22d61ea333e7e0c">SC_StopTimer</a>(<a class="code" href="struct_s_c___t.html">SC_T</a> *sc, uint32_t u32TimerNum);</div><div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;</div><div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160; <span class="comment">/* end of group NANO1X2_SC_EXPORTED_FUNCTIONS */</span></div><div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160; <span class="comment">/* end of group NANO1X2_SC_Driver */</span></div><div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160; <span class="comment">/* end of group NANO1X2_Device_Driver */</span></div><div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;</div><div class="line"><a name="l00237"></a><span class="lineno">  237</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div><div class="line"><a name="l00238"></a><span class="lineno">  238</span>&#160;}</div><div class="line"><a name="l00239"></a><span class="lineno">  239</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;</div><div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160;<span class="preprocessor">#endif //__SC_H__</span></div><div class="line"><a name="l00242"></a><span class="lineno">  242</span>&#160;</div><div class="line"><a name="l00243"></a><span class="lineno">  243</span>&#160;<span class="comment">/*** (C) COPYRIGHT 2014 Nuvoton Technology Corp. ***/</span></div><div class="ttc" id="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga3fb708b1684dff67a8ce2c3951e55731"><div class="ttname"><a href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3fb708b1684dff67a8ce2c3951e55731">SC_Open</a></div><div class="ttdeci">void SC_Open(SC_T *sc, uint32_t u32CardDet, uint32_t u32PWR)</div><div class="ttdoc">This function initialized smartcard module.</div><div class="ttdef"><b>Definition:</b> <a href="sc_8c_source.html#l00091">sc.c:91</a></div></div>
<div class="ttc" id="struct_s_c___t_html"><div class="ttname"><a href="struct_s_c___t.html">SC_T</a></div><div class="ttdef"><b>Definition:</b> <a href="_nano1_x2_series_8h_source.html#l07543">Nano1X2Series.h:7543</a></div></div>
<div class="ttc" id="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga686a066952920555d863a2adbb1c985a"><div class="ttname"><a href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga686a066952920555d863a2adbb1c985a">SC_IsCardInserted</a></div><div class="ttdeci">uint32_t SC_IsCardInserted(SC_T *sc)</div><div class="ttdoc">This function indicates specified smartcard slot status.</div><div class="ttdef"><b>Definition:</b> <a href="sc_8c_source.html#l00040">sc.c:40</a></div></div>
<div class="ttc" id="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga31243375c4a9a634e6b5fb3808aabb21"><div class="ttname"><a href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga31243375c4a9a634e6b5fb3808aabb21">SC_ResetReader</a></div><div class="ttdeci">void SC_ResetReader(SC_T *sc)</div><div class="ttdoc">This function reset specified smartcard module to its default state for activate smartcard.</div><div class="ttdef"><b>Definition:</b> <a href="sc_8c_source.html#l00119">sc.c:119</a></div></div>
<div class="ttc" id="_nano1_x2_series_8h_html_ac877c0106ed4e12c1d88995f438ee1ff"><div class="ttname"><a href="_nano1_x2_series_8h.html#ac877c0106ed4e12c1d88995f438ee1ff">SC_CTL_RX_ERETRY_Pos</a></div><div class="ttdeci">#define SC_CTL_RX_ERETRY_Pos</div><div class="ttdef"><b>Definition:</b> <a href="_nano1_x2_series_8h_source.html#l08192">Nano1X2Series.h:8192</a></div></div>
<div class="ttc" id="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gad7fabbdd3ae9853db07af8a98508f8cf"><div class="ttname"><a href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad7fabbdd3ae9853db07af8a98508f8cf">SC_Close</a></div><div class="ttdeci">void SC_Close(SC_T *sc)</div><div class="ttdoc">This function disable specified smartcard module.</div><div class="ttdef"><b>Definition:</b> <a href="sc_8c_source.html#l00071">sc.c:71</a></div></div>
<div class="ttc" id="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga6f12c3d08c7ab548f69e90e94340aea8"><div class="ttname"><a href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6f12c3d08c7ab548f69e90e94340aea8">SC_StartTimer</a></div><div class="ttdeci">void SC_StartTimer(SC_T *sc, uint32_t u32TimerNum, uint32_t u32Mode, uint32_t u32ETUCount)</div><div class="ttdoc">This function configure and start a smartcard timer of specified smartcard module.</div><div class="ttdef"><b>Definition:</b> <a href="sc_8c_source.html#l00223">sc.c:223</a></div></div>
<div class="ttc" id="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga309160531bd03b3df167a13e5f1e63b1"><div class="ttname"><a href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga309160531bd03b3df167a13e5f1e63b1">SC_SetCharGuardTime</a></div><div class="ttdeci">void SC_SetCharGuardTime(SC_T *sc, uint32_t u32CGT)</div><div class="ttdoc">This function character guard time (CGT) of specified smartcard module.</div><div class="ttdef"><b>Definition:</b> <a href="sc_8c_source.html#l00185">sc.c:185</a></div></div>
<div class="ttc" id="_nano1_x2_series_8h_html_af27e80feb05de5b2cc37809dd5a57a48"><div class="ttname"><a href="_nano1_x2_series_8h.html#af27e80feb05de5b2cc37809dd5a57a48">SC_CTL_RX_ERETRY_Msk</a></div><div class="ttdeci">#define SC_CTL_RX_ERETRY_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_nano1_x2_series_8h_source.html#l08193">Nano1X2Series.h:8193</a></div></div>
<div class="ttc" id="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga6a9ee8ad942a87c0c22d61ea333e7e0c"><div class="ttname"><a href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6a9ee8ad942a87c0c22d61ea333e7e0c">SC_StopTimer</a></div><div class="ttdeci">void SC_StopTimer(SC_T *sc, uint32_t u32TimerNum)</div><div class="ttdoc">This function stop a smartcard timer of specified smartcard module.</div><div class="ttdef"><b>Definition:</b> <a href="sc_8c_source.html#l00251">sc.c:251</a></div></div>
<div class="ttc" id="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gabbf16e2b53c6775d903d5e398d4c5e29"><div class="ttname"><a href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabbf16e2b53c6775d903d5e398d4c5e29">SC_ClearFIFO</a></div><div class="ttdeci">void SC_ClearFIFO(SC_T *sc)</div><div class="ttdoc">This function reset both transmit and receive FIFO of specified smartcard module.</div><div class="ttdef"><b>Definition:</b> <a href="sc_8c_source.html#l00061">sc.c:61</a></div></div>
<div class="ttc" id="_nano1_x2_series_8h_html_a34fa8578721b001e96183408ece207b4"><div class="ttname"><a href="_nano1_x2_series_8h.html#a34fa8578721b001e96183408ece207b4">SC_CTL_RX_ERETRY_EN_Msk</a></div><div class="ttdeci">#define SC_CTL_RX_ERETRY_EN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_nano1_x2_series_8h_source.html#l08196">Nano1X2Series.h:8196</a></div></div>
<div class="ttc" id="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga450a6bee9c5c243cc116fdeae859dbf3"><div class="ttname"><a href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga450a6bee9c5c243cc116fdeae859dbf3">SC_StopAllTimer</a></div><div class="ttdeci">void SC_StopAllTimer(SC_T *sc)</div><div class="ttdoc">This function stop all smartcard timer of specified smartcard module.</div><div class="ttdef"><b>Definition:</b> <a href="sc_8c_source.html#l00197">sc.c:197</a></div></div>
<div class="ttc" id="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga2744d5a40d4fd646192c641d20aecb78"><div class="ttname"><a href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2744d5a40d4fd646192c641d20aecb78">SC_SetBlockGuardTime</a></div><div class="ttdeci">void SC_SetBlockGuardTime(SC_T *sc, uint32_t u32BGT)</div><div class="ttdoc">This function block guard time (BGT) of specified smartcard module.</div><div class="ttdef"><b>Definition:</b> <a href="sc_8c_source.html#l00174">sc.c:174</a></div></div>
<div class="ttc" id="_nano1_x2_series_8h_html_a246ada829b66f62ffec0878204be547c"><div class="ttname"><a href="_nano1_x2_series_8h.html#a246ada829b66f62ffec0878204be547c">SC_CTL_TX_ERETRY_EN_Msk</a></div><div class="ttdeci">#define SC_CTL_TX_ERETRY_EN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_nano1_x2_series_8h_source.html#l08202">Nano1X2Series.h:8202</a></div></div>
<div class="ttc" id="_nano1_x2_series_8h_html_a5c7329aa9166b91cb9c541142abe4649"><div class="ttname"><a href="_nano1_x2_series_8h.html#a5c7329aa9166b91cb9c541142abe4649">SC_CTL_TX_ERETRY_Msk</a></div><div class="ttdeci">#define SC_CTL_TX_ERETRY_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_nano1_x2_series_8h_source.html#l08199">Nano1X2Series.h:8199</a></div></div>
<div class="ttc" id="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gad699bccb4c5e1e51532907309a8f25e5"><div class="ttname"><a href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad699bccb4c5e1e51532907309a8f25e5">SC_SetTxRetry</a></div><div class="ttdeci">__STATIC_INLINE void SC_SetTxRetry(SC_T *sc, uint32_t u32Count)</div><div class="ttdoc">Enable/Disable Tx error retry, and set Tx error retry count.</div><div class="ttdef"><b>Definition:</b> <a href="sc_8h_source.html#l00192">sc.h:192</a></div></div>
<div class="ttc" id="struct_s_c___t_html_a657b6619f178ac1a923485d599c1b0f7"><div class="ttname"><a href="struct_s_c___t.html#a657b6619f178ac1a923485d599c1b0f7">SC_T::CTL</a></div><div class="ttdeci">__IO uint32_t CTL</div><div class="ttdef"><b>Definition:</b> <a href="_nano1_x2_series_8h_source.html#l07658">Nano1X2Series.h:7658</a></div></div>
<div class="ttc" id="_nano1_x2_series_8h_html_a40d34e9da20064b18cf4086247591b3f"><div class="ttname"><a href="_nano1_x2_series_8h.html#a40d34e9da20064b18cf4086247591b3f">SC_CTL_TX_ERETRY_Pos</a></div><div class="ttdeci">#define SC_CTL_TX_ERETRY_Pos</div><div class="ttdef"><b>Definition:</b> <a href="_nano1_x2_series_8h_source.html#l08198">Nano1X2Series.h:8198</a></div></div>
<div class="ttc" id="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga71291615e3fbee7de0cad3e8ff57a18f"><div class="ttname"><a href="group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga71291615e3fbee7de0cad3e8ff57a18f">SC_SetRxRetry</a></div><div class="ttdeci">__STATIC_INLINE void SC_SetRxRetry(SC_T *sc, uint32_t u32Count)</div><div class="ttdoc">Enable/Disable Rx error retry, and set Rx error retry count.</div><div class="ttdef"><b>Definition:</b> <a href="sc_8h_source.html#l00208">sc.h:208</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Oct 6 2020 19:17:52 for Nano102_112 Series BSP by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
